Get Sandbox Snapshot by ID

  • GET
  • /workspaces
  • /:workspace
  • /sandboxes
  • /:sandbox_id
  • /snapshots
  • /:snapshot_id

Get a specific snapshot by ID

Request

REQUIRED SCOPES
SANDBOX_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

sandbox_idrequiredstring
The ID of the sandbox

Example: "sb-1234567890abcdef"

snapshot_idrequiredstring
The ID of the snapshot

Example: "snap-abcdef1234567890"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idstring
The ID of the snapshot
namestring
Snapshot name
sizeinteger
Snapshot size in GB
statusstring enum
Snapshot status
Allowed enum:
CREATING,
CREATED,
DELETING,
FAILED
create_datestring
Snapshot creation date
created_byMemberView
User/member reference

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/sandboxes/:sandbox_id/snapshots/:snapshot_id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-workspace/sandboxes/sb-12345/snapshots/sn-abc123def456", "html_url": "https://app.buddy.works/my-project/sandboxes/sb-12345/snapshots", "id": "sn-abc123def456", "name": "My API Sandbox-20250822T10:30:15", "size": 2, "status": "CREATED", "create_date": "2025-08-22T10:30:18.123456789Z", "created_by": { "url": "https://api.buddy.works/workspaces/my-workspace/members/42", "html_url": "https://app.buddy.works/profile/42", "id": 42, "name": "john.doe", "avatar_url": "https://app.buddy.works/image-server/user/0/0/0/0/0/0/42/a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6/w/32/32/AVATAR.png?ts=1724320218123", "email": "john.doe@company.com", "admin": false, "workspace_owner": false } }
STATUS
200 OK